
# <p align="center">Flair</p>
  
An extra simplified version of Jinja, written as a Rust lib.

# TODO
* Add a function that reads from a string
* Add a sanitize function that removes %%words%% from a string, which could be useful to avoid user-side injection 

## Features    
- Reads templates
- Dynamically generate content based on variables or bash commands

# Why ?
I'm learning Rust and try to create simple, usable tools for myself. 
This is by no means meant to end up in production anywhere.

# Templates ?

Templates are defined as .ft files.

They may contain any text. Special words are defined between percentage signs:
```
Hello %%name%%
Today is the %%cmd: date%%
```

## Try
An example website is included, that uses a template for its index.html.

To see it, clone this repo, then:
```bash
cargo run
```

Next, go to http://localhost:8080

## Use
Add this to your Cargo.toml
```bash
flair = { git = "https://gitea.squi.fr/Rust/flair.git" }
```

## Doc
Clone this repo, then compile and open the doc:
```bash
cargo doc --open
```

## Author
Justine Pelletreau


## ➤ License
Distributed as is.
