use ssw::websrv::{
    run_server,
    WebsrvConfig,
};
use flair::flair::analyze_file;
use std::collections::HashMap;
use std::fs;
use std::{thread, time};

fn update_index(vars: &HashMap<String, String>) {
    let newvars = vars.clone();
    let analyzed = analyze_file("./templates/index.html.ft", newvars).unwrap();
    fs::write("./static_html/index.html", analyzed).expect("Could not write index_file");
}


fn main() {
    let myvars = HashMap::from([
        (String::from("name"), String::from("Justine")),
        (String::from("surname"), String::from("Squi")),
    ]);

    update_index(&myvars);

    let web_conf = WebsrvConfig {
        nbr_of_threads: 3,
        bind_addr: String::from("0.0.0.0:8080"),
        root_folder: String::from("./static_html"),
    };

    run_server(web_conf);
    loop {
        thread::sleep(time::Duration::from_secs(30));
        update_index(&myvars);
        continue;
    }

}
